GET
/emailslistEmails
Authentication
This operation does not declare an authentication requirement in the API contract.
Query parameters
NameTypeDescription
limitintegerDefault: 20.
afterstringbeforestringRequest examples
bash
curl --request GET 'https://api.au.boundry.dev/emails?limit=20&after=string&before=string' \
+ -H 'Authorization: Bearer $BOUNDRY_API_KEY' \
+200 response
Email list
FieldTypeDescription
objectrequiredunknownValues: "list".
datarequiredarrayobjectrequiredunknownValues: "email".
idrequiredstringmessage_idstring | null | nullfromrequiredstringtorequiredarrayccarraybccarrayreply_toarraysubjectrequiredstringhtmlstring | null | nulltextstring | null | nullheadersobjecttagsarraylast_eventrequiredstringscheduled_atstring | null | null (date-time)created_atrequiredstring (date-time)has_morerequiredbooleanapplication/json
{
"object": "list",
"data": [
{
"object": "email",
"id": "string",
"from": "string",
"to": [
"string"
],
"cc": [
"string"
],
"bcc": [
"string"
],
"reply_to": [
"string"
],
"subject": "string",
"last_event": "string",
"created_at": "string"
}
],
"has_more": true
}